import { H as HashFn } from '../shared/gpds.e670691e.js';

interface GraphOptions<NodeData, EdgeData> {
    directed?: boolean;
    hashNode?: HashFn<NodeData> | null;
    hashEdge?: HashFn<EdgeData> | null;
}
declare class ValuedGraph<NodeData, EdgeData> {
    #private;
    constructor(options?: GraphOptions<NodeData, EdgeData>);
    get directed(): boolean;
    add(start: NodeData, end: NodeData, edge: EdgeData): void;
    delete(start: NodeData, end: NodeData): void;
    getEdge(start: NodeData, end: NodeData): EdgeData | undefined;
    nodes(): IterableIterator<NodeData>;
    neighborsOf(node: NodeData): IterableIterator<{
        node: NodeData;
        edge: EdgeData;
    }>;
}

export { ValuedGraph };
