declare class BidirectionalMap<Key, Value> {
    #private;
    constructor(iterable?: Iterable<readonly [Key, Value]> | null);
    get size(): number;
    clear(): void;
    deleteLeft(key: Key): boolean;
    deleteRight(value: Value): boolean;
    getLeft(key: Key): Value | undefined;
    getRight(value: Value): Key | undefined;
    hasLeft(key: Key): boolean;
    hasRight(value: Value): boolean;
    set(key: Key, value: Value): this;
    [Symbol.iterator](): IterableIterator<[Key, Value]>;
    entries(): IterableIterator<[Key, Value]>;
    keys(): IterableIterator<Key>;
    values(): IterableIterator<Value>;
    get [Symbol.toStringTag](): string;
}

export { BidirectionalMap };
