import { H as HashFn } from '../shared/gpds.e670691e.js';

interface CompositeKeyMapOptions<Key> {
    hashKey?: HashFn<Key> | null;
    compareKeys?: ((a: Key, b: Key) => number) | null;
}
declare class CompositeKeyMap<Key, Value> {
    #private;
    constructor(options?: CompositeKeyMapOptions<Key>);
    set(keys: Array<Key>, value: Value): void;
    get(keys: Array<Key>): Value | undefined;
    delete(keys: Array<Key>): boolean;
    has(keys: Array<Key>): boolean;
    clear(): void;
    keys(from?: Array<Key>): IterableIterator<Array<Key>>;
    values(from?: Array<Key>): IterableIterator<Value>;
    entries(from?: Array<Key>): IterableIterator<[Array<Key>, Value]>;
    roots(): IterableIterator<Key>;
}

export { CompositeKeyMap };
