import { H as HashFn } from '../shared/gpds.e670691e.js';

interface CompositeKeyMultiMapOptions<Key> {
    hashKey?: HashFn<Key> | null;
    compareKeys?: ((a: Key, b: Key) => number) | null;
}
declare class CompositeKeyMultiMap<Key, Value> {
    #private;
    constructor(options?: CompositeKeyMultiMapOptions<Key>);
    set(keys: Array<Key>, value: Value): void;
    get(keys: Array<Key>): ReadonlySet<Value>;
    delete(keys: Array<Key>, value?: Value): boolean;
    has(keys: Array<Key>): boolean;
    clear(): void;
    keys(from?: Array<Key>): Generator<Array<Key>>;
    values(from?: Array<Key>): Generator<ReadonlySet<Value>>;
    entries(from?: Array<Key>): Generator<[Array<Key>, ReadonlySet<Value>]>;
    roots(): IterableIterator<Key>;
}

export { CompositeKeyMultiMap };
